import type { AnnotatedColorSet } from '../color-set/index.js';
export type RenderOptions = {
    wallpaperSizes: {
        w: number;
        h: number;
    }[];
};
export type OutputFile = {
    path: string;
    content: string;
};
export interface Template {
    name: string;
    render: (colorSet: AnnotatedColorSet, options: RenderOptions) => AsyncGenerator<OutputFile>;
    renderInstructions: (paths: string[], colorSet: AnnotatedColorSet) => string;
}
export declare const listOutputFiles: Template['renderInstructions'];
export declare function weightedRandom<T>(map: Map<T, number>): T;
export declare const version = "5.0.1";
export declare function join(...parts: string[]): string;
export declare function dirname(path: string): string;
